summaryrefslogtreecommitdiffstats
path: root/office/kchmviewer
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 19:46:13 +0200
committer Robby Workman2010-05-11 19:46:13 +0200
commit0db349cf159d190346400af0dbbc8fd4784ebf97 (patch)
treedbb9ad1de468a22d94c66f913adddb0bfd9ee1d0 /office/kchmviewer
parent9fb26ab217eb6e9aec1f8b6a2985cc486ae8c834 (diff)
downloadslackbuilds-0db349cf159d190346400af0dbbc8fd4784ebf97.tar.gz
office/kchmviewer: Updated for version 3.1.2
Diffstat (limited to 'office/kchmviewer')
-rw-r--r--office/kchmviewer/README1
-rw-r--r--office/kchmviewer/kchmviewer.SlackBuild21
-rw-r--r--office/kchmviewer/kchmviewer.info8
-rw-r--r--office/kchmviewer/slack-desc10
4 files changed, 22 insertions, 18 deletions
diff --git a/office/kchmviewer/README b/office/kchmviewer/README
index 739875d33c..3b438f647b 100644
--- a/office/kchmviewer/README
+++ b/office/kchmviewer/README
@@ -14,4 +14,3 @@ ja/ko/ch is still in progress).
KchmViewer is written by George Yunaev (see the contacts page
for details), and is licensed under the GNU GPL license. It uses
chmlib and some ideas and code from xhcm.
-
diff --git a/office/kchmviewer/kchmviewer.SlackBuild b/office/kchmviewer/kchmviewer.SlackBuild
index ce7f72d000..d7f43922e1 100644
--- a/office/kchmviewer/kchmviewer.SlackBuild
+++ b/office/kchmviewer/kchmviewer.SlackBuild
@@ -1,11 +1,13 @@
#!/bin/sh
#
# SlackBuild script for KchmViewer.
-# Written by Michiel van Wessem (BP{k}) <michiel.van.wessem@gmail.com
+# Written by Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
# Modified by the SlackBuilds.org project
PRGNAM=kchmviewer
-VERSION=3.0
+VERSION=3.1 #
+SRCVER=3.1-2 # yes, kchmviewer is really that weird :\
+PKGVER=3.1.2 #
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -26,14 +28,16 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP || exit 1
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+KDEPREF=$(kde-config --prefix)
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/opt/kde \
+./configure --prefix=$KDEPREF \
--disable-debug \
--with-kde \
--program-prefix="" \
@@ -48,13 +52,6 @@ make install DESTDIR=$PKG || exit 1
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/opt/kde/share/man ]; then
- ( cd $PKG/opt/kde/share/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -63,4 +60,4 @@ mkdir $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
diff --git a/office/kchmviewer/kchmviewer.info b/office/kchmviewer/kchmviewer.info
index b87262512f..7e512a4463 100644
--- a/office/kchmviewer/kchmviewer.info
+++ b/office/kchmviewer/kchmviewer.info
@@ -1,8 +1,8 @@
PRGNAM="kchmviewer"
-VERSION="3.0"
+VERSION="3.1.2"
HOMEPAGE="http://www.kchmviewer.net"
-DOWNLOAD="http://dl.sourceforge.net/kchmviewer/kchmviewer-3.0.tar.gz"
-MD5SUM="f14b7c5be4154dfc688bef7ebd3879ff"
+DOWNLOAD="http://downloads.sourceforge.net/kchmviewer/kchmviewer-3.1-2.tar.gz"
+MD5SUM="bc376ce29784f33bf0b5f8d1ae5141bf "
MAINTAINER="Michiel van Wessem"
-EMAIL="michiel.van.wessem@gmail.com"
+EMAIL="michiel@slackbuilds.org"
APPROVED="rworkman"
diff --git a/office/kchmviewer/slack-desc b/office/kchmviewer/slack-desc
index 80e73d9d6b..6db351cae3 100644
--- a/office/kchmviewer/slack-desc
+++ b/office/kchmviewer/slack-desc
@@ -1,4 +1,12 @@
-kchmviewer: KchmViewer
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kchmviewer: KchmViewer (a chm viewer (MS HTML help file format) )
kchmviewer:
kchmviewer: KchmViewer is a chm (MS HTML help file format) viewer written in
kchmviewer: C++. Unlike most existing CHM viewers for Unix, it uses the